View Issue Details

IDProjectCategoryView StatusLast Update
0006136ScribusGeneralpublic2007-09-28 18:42
Reporterkitamozihr Assigned Tojghali  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformamd64OSDebian GNU/Linux OS Version4.0
Product Version1.3.4 
Target VersionFixed in Version1.3.3.10svn 
Summary0006136: Crash when importing OpenOffice text with footnotes
DescriptionScribus crashes (sometimes) when using 'Get Text' to fill a textframe with an OpenOffice document with footnotes. It didn't make a difference whether or not I selected 'Import Text Only.' Scribus first seemed to crash on every document with footnotes, but trying to reproduce that resulted in Scribus at least always crashing on the attached document.
TagsNo tags attached.
Patch

Relationships

related to 0001809 assignedTsoots OpenOffice 2.0 writer import does not import footnotes properly 

Activities

2007-08-22 09:27

 

27a - struktureel werk.odt (26,302 bytes)

2007-08-22 10:01

 

footnotefromword.sla (50,825 bytes)

kitamozihr

2007-08-22 10:01

reporter   ~0017117

Forgot to say that 'Scribus crashes due to signal 0000011'

timpul

2007-08-22 10:01

reporter   ~0017118

Scribus doesn't support OpenOffice footnotes. Convert this document to MSOffice DOC (Word97/2000). Footnotes will be converted and placed at the end of text. Footnote indexes look like this: [1], [2]

kitamozihr

2007-08-28 07:33

reporter   ~0017184

There is no possibility in Scribus 1.3.4 to import text from a Doc-file as far as I'm concerned...

jghali

2007-08-28 08:00

administrator   ~0017185

There is, but you have to install antiword first

2007-08-29 13:58

 

Image1.gif (7,407 bytes)
Image1.gif (7,407 bytes)

timpul

2007-08-29 13:58

reporter   ~0017195

Last edited: 2007-08-29 14:02

There's no need to have antiword. I have an OpenOffice and a Scribus installed.
Scribus 1.3.4 supports .doc. See image1.gif.

So first save your document (with footnotes) used by OpenOffice to DOC.
Import this DOC to Scribus' Text Box. That's all.

timpul

2007-08-29 14:07

reporter   ~0017196

Maybe does Scribus 1.3.4 for 64bit-system not support DOC???

jghali

2007-08-29 14:14

administrator   ~0017200

>> There's no need to have antiword.

Again, it is needed. On Windows the installer installs it in scribus folder, on other systems you have to install it by yourself.

timpul

2007-08-29 22:44

reporter   ~0017214

Ok. Scribus installs it. So it is on the computer, that's the point. And we can import doc.

jghali

2007-09-05 22:16

administrator   ~0017265

The crash has been fixed in 1.3.3.10svn and 1.3.5svn. Although fix is in, footnotes import is disabled tho. I gonna close this issue as the footnotes import problem is already covered by 0001809. I think that antiword approach is nice enough as a first step. I'll try to implement it for OpenOffice documents soon

christoph_s

2007-09-28 18:42

administrator   ~0017442

Tested, fixed. Thanks.

Issue History

Date Modified Username Field Change
2007-08-22 09:27 kitamozihr New Issue
2007-08-22 09:27 kitamozihr File Added: 27a - struktureel werk.odt
2007-08-22 10:01 timpul File Added: footnotefromword.sla
2007-08-22 10:01 kitamozihr Note Added: 0017117
2007-08-22 10:01 timpul Note Added: 0017118
2007-08-28 07:33 kitamozihr Note Added: 0017184
2007-08-28 08:00 jghali Note Added: 0017185
2007-08-29 13:58 timpul File Added: Image1.gif
2007-08-29 13:58 timpul Note Added: 0017195
2007-08-29 14:02 timpul Note Edited: 0017195
2007-08-29 14:02 timpul Note Edited: 0017195
2007-08-29 14:07 timpul Note Added: 0017196
2007-08-29 14:14 jghali Note Added: 0017200
2007-08-29 22:44 timpul Note Added: 0017214
2007-09-05 21:21 jghali Severity minor => crash
2007-09-05 22:16 jghali Note Added: 0017265
2007-09-05 22:16 jghali Relationship added related to 0001809
2007-09-05 22:16 jghali Status new => resolved
2007-09-05 22:16 jghali Fixed in Version => 1.3.3.10cvs
2007-09-05 22:16 jghali Resolution open => fixed
2007-09-05 22:16 jghali Assigned To => jghali
2007-09-28 18:42 christoph_s Status resolved => closed
2007-09-28 18:42 christoph_s Note Added: 0017442